Bug 990531 - [abrt] menu-cache-0.4.1-2.fc19: g_string_free: Process /usr/libexec/menu-cached was killed by signal 11 (SIGSEGV)
Summary: [abrt] menu-cache-0.4.1-2.fc19: g_string_free: Process /usr/libexec/menu-cach...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: menu-cache
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0328d96be42fcce7978d0cde838...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-31 12:03 UTC by Rainer Altvater
Modified: 2013-12-10 06:56 UTC (History)
1 user (show)

Fixed In Version: lxpanel-0.6.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-10 06:56:46 UTC


Attachments (Terms of Use)
File: backtrace (31.61 KB, text/plain)
2013-07-31 12:03 UTC, Rainer Altvater
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-31 12:03 UTC, Rainer Altvater
no flags Details
File: core_backtrace (2.28 KB, text/plain)
2013-07-31 12:03 UTC, Rainer Altvater
no flags Details
File: dso_list (269 bytes, text/plain)
2013-07-31 12:03 UTC, Rainer Altvater
no flags Details
File: environ (1.03 KB, text/plain)
2013-07-31 12:03 UTC, Rainer Altvater
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-31 12:03 UTC, Rainer Altvater
no flags Details
File: maps (12.99 KB, text/plain)
2013-07-31 12:03 UTC, Rainer Altvater
no flags Details
File: open_fds (1.31 KB, text/plain)
2013-07-31 12:03 UTC, Rainer Altvater
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2013-07-31 12:03 UTC, Rainer Altvater
no flags Details
File: var_log_messages (440 bytes, text/plain)
2013-07-31 12:03 UTC, Rainer Altvater
no flags Details

Description Rainer Altvater 2013-07-31 12:03:16 UTC
Version-Release number of selected component:
menu-cache-0.4.1-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/menu-cached
crash_function: g_string_free
executable:     /usr/libexec/menu-cached
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #3 g_string_free at gstring.c:223
 #4 g_key_file_clear at gkeyfile.c:587
 #5 g_key_file_free at gkeyfile.c:1081
 #6 on_file_changed at menu-cached.c:407
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:522
 #9 g_cclosure_marshal_generic_va at gclosure.c:1550
 #10 _g_closure_invoke_va at gclosure.c:840
 #13 emit_cb at gfilemonitor.c:396

Comment 1 Rainer Altvater 2013-07-31 12:03:20 UTC
Created attachment 781059 [details]
File: backtrace

Comment 2 Rainer Altvater 2013-07-31 12:03:24 UTC
Created attachment 781060 [details]
File: cgroup

Comment 3 Rainer Altvater 2013-07-31 12:03:31 UTC
Created attachment 781061 [details]
File: core_backtrace

Comment 4 Rainer Altvater 2013-07-31 12:03:34 UTC
Created attachment 781062 [details]
File: dso_list

Comment 5 Rainer Altvater 2013-07-31 12:03:37 UTC
Created attachment 781063 [details]
File: environ

Comment 6 Rainer Altvater 2013-07-31 12:03:40 UTC
Created attachment 781064 [details]
File: limits

Comment 7 Rainer Altvater 2013-07-31 12:03:44 UTC
Created attachment 781065 [details]
File: maps

Comment 8 Rainer Altvater 2013-07-31 12:03:46 UTC
Created attachment 781066 [details]
File: open_fds

Comment 9 Rainer Altvater 2013-07-31 12:03:51 UTC
Created attachment 781067 [details]
File: proc_pid_status

Comment 10 Rainer Altvater 2013-07-31 12:03:53 UTC
Created attachment 781068 [details]
File: var_log_messages

Comment 11 Christoph Wickert 2013-07-31 14:07:28 UTC
Hi Rainer,

nice to see you. :-) Not nice you are experiencing this crash. Do you recall what you did when menu-cache crashed? Is it possible you were clicking on "Applications" ("Anwendungen") in the side bar of the file manager?

If so, this is a known issue. It's version incompatibility between the file manager pcmanfm and menu-cache. I need to update menu-cache to 0.5 I think.

Comment 12 Rainer Altvater 2013-07-31 14:29:53 UTC
Hi Christoph,

How are you? ;) 

Sorry, but no, i did not click "Applications". The crash happened during installation of some GNOME programs like evolution and evince using yumex.

Greetings,

Rainer

Comment 13 Fedora Update System 2013-11-15 23:03:51 UTC
lxpanel-0.6.1-1.fc20,lxlauncher-0.2.2-4.fc20,pcmanfm-1.1.2-3.D20130830gitfc8adaab77.fc20,libfm-1.1.2.2-3.fc20,menu-cache-0.5.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lxpanel-0.6.1-1.fc20,lxlauncher-0.2.2-4.fc20,pcmanfm-1.1.2-3.D20130830gitfc8adaab77.fc20,libfm-1.1.2.2-3.fc20,menu-cache-0.5.1-1.fc20

Comment 14 Fedora Update System 2013-11-17 07:00:27 UTC
Package lxpanel-0.6.1-1.fc20, lxlauncher-0.2.2-4.fc20, pcmanfm-1.1.2-3.D20130830gitfc8adaab77.fc20, libfm-1.1.2.2-3.fc20, menu-cache-0.5.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lxpanel-0.6.1-1.fc20 lxlauncher-0.2.2-4.fc20 pcmanfm-1.1.2-3.D20130830gitfc8adaab77.fc20 libfm-1.1.2.2-3.fc20 menu-cache-0.5.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21536/lxpanel-0.6.1-1.fc20,lxlauncher-0.2.2-4.fc20,pcmanfm-1.1.2-3.D20130830gitfc8adaab77.fc20,libfm-1.1.2.2-3.fc20,menu-cache-0.5.1-1.fc20
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2013-12-10 06:56:46 UTC
lxpanel-0.6.1-3.fc20, lxlauncher-0.2.2-4.fc20, pcmanfm-1.1.2-3.D20130830gitfc8adaab77.fc20, libfm-1.1.2.2-3.fc20, menu-cache-0.5.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.